import vuetify, { transformAssetUrls } from "vite-plugin-vuetify";

// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  devtools: { enabled: true },

  app: {
    head: {
      title: "Solsynth",
      meta: [
        {
          name: "description",
          content:
            "Solsynth LLC official website. We build amazing, wonderful, open-source software.",
        },
      ],
      link: [{ rel: "icon", type: "image/xml+svg", href: "/favicon.svg" }],
    },
  },
  content: {},

  build: {
    transpile: ["vuetify"],
  },
  modules: [
    "@unocss/nuxt",
    "@nuxt/content",
    (_options, nuxt) => {
      nuxt.hooks.hook("vite:extendConfig", (config) => {
        // @ts-expect-error
        config.plugins.push(vuetify({ autoImport: true }));
      });
    },
  ],
  vite: {
    vue: {
      template: {
        transformAssetUrls,
      },
    },
  },
});
